"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMathJaxRenderer = void 0;
const model_1 = require("./model");
const impl_1 = require("./impl");
const createMathJaxRenderer = (rendererConfig) => {
    switch (rendererConfig.engine) {
        case model_1.MathEngine.MathJax2:
            return new impl_1.Mathjax2Renderer().config(rendererConfig);
        case model_1.MathEngine.MathJax3:
            return new impl_1.MathJax3Renderer().config(rendererConfig);
        default:
            throw Error('Renderer unavailable');
    }
};
exports.createMathJaxRenderer = createMathJaxRenderer;
//# sourceMappingURL=factory.js.map