"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultilineBlockquoteRule = void 0;
const MultilineBlockquoteRule = (state, startLine, endLine) => {
    let nextLine, token, i;
    let pos = state.bMarks[startLine] + state.tShift[startLine];
    if (state.sCount[startLine] - state.blkIndent >= 4) {
        return false;
    }
    const table = [0x3e, 0x3e, 0x3e, 0x0a];
    for (i = 0; i < table.length; i++) {
        if (table[i] !== state.src.charCodeAt(pos++)) {
            break;
        }
    }
    if (i < table.length) {
        return false;
    }
    nextLine = startLine + 1;
    while (nextLine < endLine) {
        pos = state.bMarks[nextLine] + state.tShift[nextLine];
        for (i = 0; i < table.length; i++) {
            if (i === table.length - 1 && state.lineMax - 1 === nextLine) {
                continue;
            }
            if (table[i] !== state.src.charCodeAt(pos++)) {
                break;
            }
        }
        if (i === table.length) {
            break;
        }
        nextLine++;
    }
    if (nextLine > endLine) {
        return false;
    }
    token = state.push('multiline_blockquote_open', 'blockquote', 1);
    token.markup = '>>>';
    token.map = [startLine, 0];
    state.md.block.tokenize(state, startLine + 1, nextLine);
    token = state.push('multiline_blockquote_close', 'blockquote', -1);
    token.map = [nextLine, 0];
    state.line = nextLine + 1;
    return true;
};
exports.MultilineBlockquoteRule = MultilineBlockquoteRule;
//# sourceMappingURL=multiline-blockquote.rule.js.map